> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Lookup Ids



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json get /api/alpha/general_ledger/accounts/lookup_ids
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /api/alpha/general_ledger/accounts/lookup_ids:
    get:
      tags:
        - gl_accounts
        - quanta-services-api
      summary: Get Account Lookup Ids
      operationId: get_account_lookup_ids
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountLookupIdsResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    AccountLookupIdsResponse:
      properties:
        default_lookup_ids:
          items:
            $ref: '#/components/schemas/CoaAccountLookupIdOption'
          type: array
          title: Default Lookup Ids
        custom_lookup_ids:
          items:
            $ref: '#/components/schemas/CoaAccountLookupIdOption'
          type: array
          title: Custom Lookup Ids
        source_lookup_ids:
          items:
            $ref: '#/components/schemas/SourceLookupIdOption'
          type: array
          title: Source Lookup Ids
      type: object
      required:
        - default_lookup_ids
        - custom_lookup_ids
        - source_lookup_ids
      title: AccountLookupIdsResponse
    CoaAccountLookupIdOption:
      properties:
        lookup_id:
          type: string
          title: Lookup Id
        name:
          type: string
          title: Name
        account_type:
          $ref: '#/components/schemas/AccountType'
        parent_lookup_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Lookup Id
        scope:
          anyOf:
            - $ref: '#/components/schemas/AccountScope'
            - type: 'null'
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        is_mapped:
          type: boolean
          title: Is Mapped
      type: object
      required:
        - lookup_id
        - name
        - account_type
        - parent_lookup_id
        - scope
        - is_mapped
      title: CoaAccountLookupIdOption
    SourceLookupIdOption:
      properties:
        lookup_id:
          type: string
          title: Lookup Id
        name:
          type: string
          title: Name
        source:
          $ref: '#/components/schemas/Source'
        last_four:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Four
        account_type:
          $ref: '#/components/schemas/AccountType'
        sub_account_type:
          anyOf:
            - $ref: '#/components/schemas/SubAccountType'
            - type: 'null'
        is_mapped:
          type: boolean
          title: Is Mapped
      type: object
      required:
        - lookup_id
        - name
        - source
        - last_four
        - account_type
        - sub_account_type
        - is_mapped
      title: SourceLookupIdOption
    AccountType:
      type: string
      enum:
        - ACCOUNTS_RECEIVABLE
        - BANK
        - FIXED_ASSET
        - OTHER_ASSET
        - OTHER_CURRENT_ASSET
        - ACCOUNTS_PAYABLE
        - CREDIT_CARD
        - OTHER_CURRENT_LIABILITY
        - LONG_TERM_LIABILITY
        - EQUITY
        - INCOME
        - OTHER_INCOME
        - COST_OF_GOODS_SOLD
        - EXPENSE
        - OTHER_EXPENSE
      title: AccountType
    AccountScope:
      type: string
      enum:
        - BASIC_LOOKUP_ID
        - LOGICAL_LOOKUP_ID
        - BREX_INTEGRATION
        - RAMP_INTEGRATION
        - MERCURY_INTEGRATION
        - STRIPE_INTEGRATION
        - FUNDRAISE_ACCOUNT
        - CUSTOM_INTEGRATION
      title: AccountScope
    Source:
      type: string
      enum:
        - quanta
        - amex
        - deel
        - qbo
        - ramp
        - ramp_bank
        - rippling
        - stripe
        - gusto
        - brex
        - frb
        - fidelity
        - justworks
        - sequoia_one
        - chase
        - wells_fargo_ceo
        - mercury
        - meow_bank
        - bank_of_america
        - svb
        - morgan_stanley
        - other_bank
        - other_finicity_bank
        - angellist_banking
        - arc
        - carta
        - manual
        - bank_upload
        - local_bank
        - card_upload
        - reimbursement_upload
        - warp
        - rho
        - stifel
        - highbeam
        - erebor
        - wise
        - td_canada
        - central_payroll
        - rillet
        - campfire
        - netsuite
        - orb
        - prepaid
        - loan
        - accrued_expense
        - pricing_component
        - invoice_sent
        - fixed_asset
        - intangible_asset
        - stripe_invoice
        - payment_event
        - month_end_event
        - out_of_band_invoice
        - derivative_payable
      title: Source
    SubAccountType:
      type: string
      enum:
        - investment
        - cash
        - sweep
        - savings
        - treasury
        - vault
        - other
      title: SubAccountType
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.